<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_5e9a99d" . "c0dd49b9" . "07abf1b3" . "5e96965f" . "8" => base64_decode("dHJpb" . "Q=="), "_c9ae15d6" . "9685c02ee" . "abd974f86" . "df51ba" => base64_decode("OjpEcmF3KCkgbXVzdCBiZSBy" . "ZWRlZmluZWQ="), "_ecfcdf011b" . "493a3e718c1" . "fe7034e0dcd" => base64_decode("OjpMb2FkRnJv" . "bUZvcm0oKSBt" . "dXN0IGJlIHJl" . "ZGVmaW5lZA=="), "_00228d8faefcea" . "40b88e38b6f0ef8" . "fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJpbmcgb2Yg" . "Q29udHJvbA=="), "_96be32a6f44bf54e6" . "35e1736acf7a96c" => base64_decode("c2VyaWF" . "saXpl"), "_c244a470d" . "f52d1d5a70" . "85138ec94e" . "393" => base64_decode("dW5zZX" . "JpYWxp" . "emU="), "_347a4304a606a9c406a8fbc8f72530a" . "1" => base64_decode("TWV0aG9k" . "IA=="), "_fc9d7314a9d9958d8fa0a403" . "ba8ff197" => base64_decode("Z2V0X2NsYXN" . "z"), "_4d707fab93beb" . "b00bbe69e81596" . "97c90" => base64_decode(""));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_96be32a6f44bf54" . "e635e1736acf7a96" . "c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_5e9a99dc0dd49b907abf1b" . "35e96965f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00" . "bbe69e8159697c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_00228d8faefc" . "ea40b88e38b6f" . "0ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c244a470df" . "52d1d5a7085" . "138ec94e393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_347a4304a" . "606a9c406a" . "8fbc8f7253" . "0a1"] . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_fc9d7314a9d9958d8fa0a403ba8ff19" . "7"]($this) . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ecfcdf011b493a3e7" . "18c1fe7034e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_347a4304a606a9c406a8fbc8f72530a" . "1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_fc9d7314a9" . "d9958d8fa0a" . "403ba8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c9ae15d69685c02e" . "eabd974f86df51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}